import React from 'react';
import PropTypes from 'prop-types';
import Events from '../Events';
import TextAtom from '../atoms/TextAtom';
import { joinClassNames } from '../../utils/classNames';


interface TextEventProps {
  children?: React.ReactNode;
  date: string; 
  text: string; 
  marker?: Element | Function; 
  className: string; 
  card?: Function; 
}
/**
 * Use `TextEvent` to render text (including markdown) as an event.
 */
export const TextEvent = ({ children, date, text, marker, className, card}: TextEventProps) => {
  return (
    <Events
      date={date}
      marker={marker}
      card={card}
      className={joinClassNames({classNames: ['text-event', className]})}
    >
      <TextAtom text={text} />
      {children}
    </Events>
  );
}



export default TextEvent; 