import { Chrono } from 'react-chrono';
import { Vbox1 } from './Videoboxes';

const customContent = [
  <div id='Opening'>
    <Vbox1></Vbox1>
  </div>,
  <div id='Scientific Talk I.'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='Workshop Session I.'>
  <h3>Custom Card 2</h3>
  <p>This is the second custom card</p>
  </div>,
  <div id='Scientific Talk II.'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='Project Presentations'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='Poster Exhibition'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='Workshop Session II.'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='Panel Discussion'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='iGEMer Ted Talks'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='Science Slams'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
  </div>,
  <div id='Award Ceremony'>
    <h3>Custom Card 2</h3>
    <p>This is the second custom card</p>
</div>,
];

const items = [
  {
    title: "Opening",
  },
  {
    title: "Scientific Talk I."
  },
  {
    title: "Workshop Session I.",
  },
  {
    title: "Project Presenta- tions",
  },
  {
    title: "Poster Exhibition",
  },
  {
    title: "Workshop Session II.",
  },
  {
    title: "Panel Discussion",
  },
  {
    title: "iGEMer Ted Talks",
  },
  {
    title: "Science Slams",
  },
  {
    title: "Award Ceremony",
  },
];

 const VerticalTimeline = () => {
  return (
    <div style={{ width: "100%", height: "100%" }}>
      <Chrono items={items} 
      cardHeight={350}
      theme={{
        primary: "#850F78",
        secondary: "#850F78",
        cardBgColor: "white",
        cardForeColor: "violet",
        titleColor: "black",
        titleColorActive: "white",
      }}
      disableToolbar
      timelinePointShape="square"
      timelinePointDimension={30}
      mode="VERTICAL">{customContent}
      </Chrono>
    </div>
  );
};

export default VerticalTimeline; 


import  Events  from './time-line/components/Events.tsx'
import Timeline from './time-line/components/Timeline.tsx';
import TextEvent from './time-line/components/events/TextEvent.tsx';
import ImageEvent from './time-line/components/events/ImageEvent.tsx';
import YouTubeEvent from './time-line/components/events/YouTubeEvent.tsx';
import UrlButton from './time-line/components/UrlButton.tsx';
import { createTheme } from './time-line/utils/themes.tsx';


export function DemoTimeline(){
  return (
        <Timeline opts='inline-evts' theme='default'>
          <Events>
            <TextEvent date="1/1/19" text="**Markdown** is *supported*" />
            <TextEvent
              date="1/2/19"
              text="Events alternate by default (given enough space in the browser)"
            />

            <ImageEvent
              date="4/13/19"
              text="You can embed images..."
              src="https://res.cloudinary.com/dovoq8jou/image/upload/v1564772194/jellyfish.jpg"
              alt="jellyfish swimming"
              credit="Photo by [@tavi004](https://unsplash.com/@tavi004)"
            >
              <div>
                <UrlButton href="https://unsplash.com/search/photos/undersea">
                  View more undersea photos
                </UrlButton>
              </div>
            </ImageEvent>

            <YouTubeEvent
              date="6/18/19"
              id="6UnRHtwHGSE"
              name="General Tso's Chicken recipe"
              text="... and YouTube videos!"
            />
          </Events>
        </Timeline>
  );
}
